# Uses of Interface
java.sql.ShardingKeyBuilder

Packages that use ShardingKeyBuilder
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.sql
Provides the API for server side data source access and processing from the Java programming language.

## Uses of ShardingKeyBuilder in java.sql

Methods in java.sql that return ShardingKeyBuilder
Modifier and Type
Method
Description
`ShardingKeyBuilder`
ShardingKeyBuilder.`subkey(Object subkey, SQLType subkeyType)`
This method will be called to add a subkey into a Sharding Key object being built.

## Uses of ShardingKeyBuilder in javax.sql

Methods in javax.sql that return ShardingKeyBuilder
Modifier and Type
Method
Description
`default ShardingKeyBuilder`
CommonDataSource.`createShardingKeyBuilder()`
Creates a new `ShardingKeyBuilder` instance